%define posix_version 2013
%define posix_release a

%define LANG en
Summary: English man (manual) pages from the Linux Documentation Project
Name: man-pages
Version: 4.09
Release: %mkrel 1
License: GPL-style
Group: System/Internationalization
Source0: ftp://ftp.kernel.org/pub/linux/docs/man-pages/%name-%version.tar.xz
Source1: http://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/man-pages-posix-%{posix_version}-%{posix_release}.tar.xz
Source2: rpcgen.1
Source3: ld.so.8
Source4: ldd.1
Source5: ldconfig.8
Source6: man-pages-extralocale.tar.bz2
Source8: man9-19971126.tar.bz2
Source9: man2.tar.bz2
Source10: strptime.3
Source11: ifcfg.5
Patch71: man-pages-posix-2013-awk.patch
Patch72: man-pages-posix-2013-man.patch
URL:     http://www.kernel.org/doc/man-pages
BuildRoot: %_tmppath/%name-%version-root
BuildRequires: man
Requires: man
AutoReqProv: no
BuildArchitectures: noarch

%description
A large collection of man pages (reference material) from the Linux 
Documentation Project (LDP).  The man pages are organized into the
following sections:

        Section 1:  User commands (intro only)
        Section 2:  System calls
        Section 3:  Libc calls
        Section 4:  Devices (e.g., hd, sd)
        Section 5:  File formats and protocols (e.g., wtmp, /etc/passwd,
                nfs)
        Section 6:  Games (intro only)
        Section 7:  Conventions, macro packages, etc. (e.g., nroff, ascii)
        Section 8:  System administration (intro only)
        Section 9:  Kernel internal routines

%prep
%setup -q -a 1 -a 9 -a 8 -a6

mv man-pages-posix-%{posix_version}-%{posix_release}/* ./
rmdir man-pages-posix-%{posix_version}-%{posix_release}
%patch71 -p1
%patch72 -p1

cp -a %SOURCE2 man1
cp -a %SOURCE3 man8
cp -a %SOURCE4 man1
cp -a %SOURCE5 man8
cp -a %SOURCE10 man3
cp -a %SOURCE11 man5


%build
rm -fv man1/{diff,chgrp,chmod,chown,cp,dd,df,dircolors,du,install,dir,vdir}.1
rm -fv man1/{ln,ls,mkdir,mkfifo,mknod,mv,rm,rmdir,touch}.1
rm -fv man2/modules.2 man2/quotactl.2 man2/get_kernel_syms.2 
rm -fv man2/{create,delete,init,query}_module.2
rm -fv man4/{console,fd}.4 man5/{exports,nfs,fstab}.5

# those conflict with ld.so package
# this one conflicts with bind-utils
rm -rf man5/resolver.5

# this conflicts with ldconfig -- Geoff
rm -f man8/ldconfig.8

# those conflict with glibc{,-devel}
rm -f man1/{getent,iconv,ldd,locale,localedef,sprof}.1
rm -f man8/{ld.so,rpcinfo}.8
rm -f man1/rpcgen.1
rm -f man3/crypt{,_r}.3

# this conflict with glibc
rm -f man1/rpcgen.1.bz2
				
#mv man1/COPYING .

%install
rm -rf %buildroot

set +x
mkdir -p %buildroot/%_mandir
for n in 0p 1 1p 2 3 3p 4 5 6 7 8 9; do
	mkdir %buildroot/%_mandir/man$n
done
for n in man*/*; do
	cp -a $n %buildroot/%_mandir/$n
done

set -x

LANG='' DESTDIR=%buildroot /usr/sbin/makewhatis %buildroot/%_mandir/

mkdir -p %buildroot/etc/cron.weekly
cat > %buildroot/etc/cron.weekly/makewhatis-%LANG.cron << EOF
#!/bin/bash
LANG='' /usr/sbin/makewhatis %_mandir/%LANG
exit 0
EOF
chmod a+x %buildroot/etc/cron.weekly/makewhatis-%LANG.cron

mkdir -p  %buildroot/var/cache/man/%LANG
mkdir -p  %buildroot{%_mandir/%LANG,/var/catman/}


%clean
rm -rf %buildroot

%files
%defattr(0644,root,man,755)
%doc README* *.Announce Changes POSIX-COPYRIGHT
%dir %_mandir/%LANG
%verify (not md5 mtime size) %{_mandir}/whatis
%dir %_mandir/man*p/
%_mandir/man*/*
%config(noreplace) %attr(755,root,root)/etc/cron.weekly/makewhatis-%LANG.cron


%changelog
* Sun Jan 22 2017 adrianomorselli <adrianomorselli> 4.09-1uplos2017
- rebuild

* Tue Dec 13 2016 bb <bb> - 4.09-1pclos2017
- new version

* Wed Dec 30 2015 bb <bb> 4.04-1pclos2015
- update

* Sun Aug 16 2015 bb <bb> 4.02-1pclos2015
- update

* Sat Jan 24 2015 bb <bb> 3.78-1pclos2015
- update

* Mon Oct 20 2014 bb <bb> 3.75-1pclos2014
- update
